Uploaded image for project: 'Lucene - Core'
  1. Lucene - Core
  2. LUCENE-9230

gradle moman fails on my machine, assumes python -> python2

    XMLWordPrintableJSON

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 8.5
    • Component/s: None
    • Labels:
      None
    • Lucene Fields:
      New

      Description

      python2 is EOL and many distros are transitioning python to really invoke python3. So the scripts fail on wrong syntax in such cases. This happens for me if i try gradle moman.

      I think as a first step, we should explicitly call python2 for any python2 scripts, and python3 for python3 scripts?

      cc Michael McCandless

        Attachments

        1. LUCENE-9230.patch
          1 kB
          Robert Muir
        2. LUCENE-9230.patch
          6 kB
          Robert Muir
        3. LUCENE-9230.patch
          6 kB
          Robert Muir

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              rcmuir Robert Muir
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: